Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225370 - docbook-style-xml missing common/entities.ent file, breaks gtk-doc
Summary: docbook-style-xml missing common/entities.ent file, breaks gtk-doc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: docbook-style-xsl
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-01-30 06:36 UTC by Kevin Fenzi
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.72.0-2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-05 15:57:29 UTC


Attachments (Terms of Use)

Description Kevin Fenzi 2007-01-30 06:36:40 UTC
Description of problem:
When running gtk-doc in a package build (exo) the build fails with: 

cd ./html && gtkdoc-mkhtml exo ../exo-docs.sgml
file:///usr/share/sgml/docbook/xsl-stylesheets-1.72.0-1.fc7/html/autoidx.xsl:4:
warning: failed to load external entity
"file:///usr/share/sgml/docbook/xsl-stylesheets-1.72.0-1.fc7/common/entities.ent"
%common.entities;
                 ^
Entity: line 1:
 %common.entities;
                  ^
file:///usr/share/sgml/docbook/xsl-stylesheets-1.72.0-1.fc7/html/autoidx.xsl:32:
parser error : Entity 'primary' not defined

Version-Release number of selected component (if applicable):
1.72.0-1.fc7

How reproducible:
Try and use gtk-doc to build html docs. 

The: 

/usr/share/sgml/docbook/xsl-stylesheets-1.72.0-1.fc7/common/entities.ent file is
missing. It's there on the docbook site, just not in the package. 

The autoidx.xsl file includes it: 

<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY % common.entities SYSTEM "../common/entities.ent">
%common.entities;
]>

Comment 1 Tim Waugh 2007-02-05 15:57:29 UTC
Can you try with 1.72.0-2.fc7 please?

Comment 2 Kevin Fenzi 2007-02-09 05:22:46 UTC
Sorry for the delay in checking this... 

It is indeed all fixed in 1.72.0-2.fc7. 

Thanks for the prompt fix. 


Note You need to log in before you can comment on or make changes to this bug.